VTK: vtkWebGPUInternalsBindGroup::BindingInitializationHelper Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkWebGPUInternalsBindGroup::BindingInitializationHelper Struct Reference

`#include <vtkWebGPUInternalsBindGroup.h>`

## Public Member Functions
| BindingInitializationHelper (uint32_t binding, const wgpu::Sampler &sampler)
| BindingInitializationHelper (uint32_t binding, const wgpu::TextureView &textureView)
| BindingInitializationHelper (uint32_t binding, const wgpu::Buffer &buffer, uint64_t offset=0, uint64_t size=wgpu::kWholeSize)
| BindingInitializationHelper (const BindingInitializationHelper &)
| ~BindingInitializationHelper ()
wgpu::BindGroupEntry | GetAsBinding () const

## Public Attributes
uint32_t | binding
wgpu::Sampler | sampler
wgpu::TextureView | textureView
wgpu::Buffer | buffer
uint64_t | offset = 0
uint64_t | size = 0

## Detailed Description

Definition at line 29 of file vtkWebGPUInternalsBindGroup.h.

## Constructor & Destructor Documentation

## ◆ BindingInitializationHelper() [1/4]

vtkWebGPUInternalsBindGroup::BindingInitializationHelper::BindingInitializationHelper | ( | uint32_t | binding,
|  | const wgpu::Sampler & | sampler
| ) |  |

## ◆ BindingInitializationHelper() [2/4]

vtkWebGPUInternalsBindGroup::BindingInitializationHelper::BindingInitializationHelper | ( | uint32_t | binding,
|  | const wgpu::TextureView & | textureView
| ) |  |

## ◆ BindingInitializationHelper() [3/4]

vtkWebGPUInternalsBindGroup::BindingInitializationHelper::BindingInitializationHelper | ( | uint32_t | binding,
|  | const wgpu::Buffer & | buffer,
|  | uint64_t | offset = `0`,
|  | uint64_t | size = `wgpu::kWholeSize`
| ) |  |

## ◆ BindingInitializationHelper() [4/4]

vtkWebGPUInternalsBindGroup::BindingInitializationHelper::BindingInitializationHelper | ( | const BindingInitializationHelper & |  | ) |

## ◆ ~BindingInitializationHelper()

vtkWebGPUInternalsBindGroup::BindingInitializationHelper::~BindingInitializationHelper | ( |  | ) |

## Member Function Documentation

## ◆ GetAsBinding()

wgpu::BindGroupEntry vtkWebGPUInternalsBindGroup::BindingInitializationHelper::GetAsBinding | ( |  | ) | const

## Member Data Documentation

## ◆ binding

uint32_t vtkWebGPUInternalsBindGroup::BindingInitializationHelper::binding

Definition at line 40 of file vtkWebGPUInternalsBindGroup.h.

## ◆ sampler

wgpu::Sampler vtkWebGPUInternalsBindGroup::BindingInitializationHelper::sampler

Definition at line 41 of file vtkWebGPUInternalsBindGroup.h.

## ◆ textureView

wgpu::TextureView vtkWebGPUInternalsBindGroup::BindingInitializationHelper::textureView

Definition at line 42 of file vtkWebGPUInternalsBindGroup.h.

## ◆ buffer

wgpu::Buffer vtkWebGPUInternalsBindGroup::BindingInitializationHelper::buffer

Definition at line 43 of file vtkWebGPUInternalsBindGroup.h.

## ◆ offset

uint64_t vtkWebGPUInternalsBindGroup::BindingInitializationHelper::offset = 0

Definition at line 44 of file vtkWebGPUInternalsBindGroup.h.

## ◆ size

uint64_t vtkWebGPUInternalsBindGroup::BindingInitializationHelper::size = 0

Definition at line 45 of file vtkWebGPUInternalsBindGroup.h.

The documentation for this struct was generated from the following file:

- Rendering/WebGPU/vtkWebGPUInternalsBindGroup.h